2018-10-12 孙小北

Eclipse创建maven项目报错:Could not calculate build plan: Plugin org.apache.maven.plugins:maven-war-plugin

养浩然之气,做博学之人

问题描述

在创建或者导入Maven工程包时,出现如下错误:

Could not calculate build plan: Plugin org.apache.maven.plugins:maven-war-plugin:3.1 or one of its dependencies could not be resolved: Failed to read artifact descriptor for org.apache.maven.plugins:maven-war-plugin:jar:3.1

Plugin org.apache.maven.plugins:maven-war-plugin:3.1 or one of its dependencies could not be resolved: Failed to read artifact descriptor for org.apache.maven.plugins:maven-war-plugin:jar:3.1

解决方式:

(1)清除错误仓库:

查看windows -> Preferences -> maven 的settings.xml文件中.m2的位置:

(默认为:C:\Users\用户名\.m2\repository\org\apache\maven\plugins\maven-war-plugin\3.1)
         目录下的m2e-lastUpdated.properties文件;

或者直接将plugins目录下文件夹删除

(2)项目右键,Run As-->Maven clean

(3)项目右键,Maven-->Update Project 重新下载依赖包

(4)刷新工程即可



编辑:孙小北

本文地址: http://www.xiaowangyun.com/wyblog/detail/?id=219

版权归属: www.xiaowangyun.com   转载时请以链接形式注明出处

物以类聚

最新评论

2017-10-06

一辈子不长,只有珍惜了,才不至于后悔。

2017-10-06

懂得感恩,才能走得更远。

标签云

归档

取消

感谢您的支持,您的每一次打赏都是一次鼓励!

扫码支持
扫码打赏,你说多少就多少

打开支付宝扫一扫,即可进行扫码打赏哦